Skip to content
Docs
Roles

Revoke role from application

Revoke role from application

DELETE/zones/{zoneId}/applications/{applicationId}/roles/{roleId}

Revokes a role from the application. Provide the same (scope_type, scope_id) pair the grant was created with, or omit both to revoke the unscoped grant.

Path ParametersExpand Collapse
zoneId: string
applicationId: string
roleId: string
Query ParametersExpand Collapse
scope_id: optional string

Scope target of the grant to revoke. Provide together with scope_type.

minLength1
scope_type: optional string

Scope kind of the grant to revoke. Provide together with scope_id.

minLength1

Revoke role from application

curl https://api.keycard.ai/zones/$ZONE_ID/applications/$APPLICATION_ID/roles/$ROLE_ID \
    -X DELETE \
    -H "Authorization: Bearer $KEYCARD_API_API_KEY"
Returns Examples